nullmailer-queue(8)

NAME
nullmailer-queue - insert mail messages into the queue

SYNOPSIS
nullmailer-queue

DESCRIPTION
This program reads a formatted mail message from standard input and safely injects it into the outgoing mail queue.

The data sent into standard input is expected to have the following format: one line containing the envelope sender, one or more lines containing the recipients, a single blank line, and then the contents of the message exactly as it is to be transmitted to the destination. All lines are terminated with a single line-feed character. All addresses must contain a fully-qualified domain name.

RETURN VALUE
Exits 0 if it successfully queues the message. If it failed to queue the message, it exits 1 and prints an error message to stdandard output.

CONTROL FILES

adminaddr
    If this file is not empty, all recipients to users at either "localhost" (the literal string) or the canonical host name (from the me control file) are remapped to this address. This is provided to allow local daemons to be able to send email to "somebody@localhost" and have it go somewhere sensible instead of being bounced by your relay host. To send to multiple addresses, put them all on one line separated by a comma.

allmailfrom
    If this file is not empty, its contents will override the envelope sender on all messages.

OTHER FILES

/var/spool/nullmailer/queue
    The directory into which the completed messages are moved.

/var/spool/nullmailer/tmp
    The directory in which messages are formed temporarily.

/var/spool/nullmailer/trigger
    A pipe used to trigger nullmailer-send to immediately start sending the message from the queue.

SEE ALSO
nullmailer-inject(1), nullmailer-send(8)

LIMITATIONS
This program should enforce system-wide configurable message length limits.